Submit compliance documents
curl --request POST \
--url https://cc.nadcab.com/api/v1/remittance/submitRfi \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchantOrderNo": "tr123456789000001234",
"rfiInfos": [
{
"rfiId": "2425366",
"rfiValue": "7401ee2d-0d34-4b28-bfc9-a68b794635f9"
},
{
"rfiId": "2425367",
"rfiValue": "8401ee2d-0d34-4b28-bfc9-a68b794635f8"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantOrderNo: 'tr123456789000001234',
rfiInfos: [
{rfiId: '2425366', rfiValue: '7401ee2d-0d34-4b28-bfc9-a68b794635f9'},
{rfiId: '2425367', rfiValue: '8401ee2d-0d34-4b28-bfc9-a68b794635f8'}
]
})
};
fetch('https://cc.nadcab.com/api/v1/remittance/submitRfi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/remittance/submitRfi"
payload = {
"merchantOrderNo": "tr123456789000001234",
"rfiInfos": [
{
"rfiId": "2425366",
"rfiValue": "7401ee2d-0d34-4b28-bfc9-a68b794635f9"
},
{
"rfiId": "2425367",
"rfiValue": "8401ee2d-0d34-4b28-bfc9-a68b794635f8"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/remittance/submitRfi",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'merchantOrderNo' => 'tr123456789000001234',
'rfiInfos' => [
[
'rfiId' => '2425366',
'rfiValue' => '7401ee2d-0d34-4b28-bfc9-a68b794635f9'
],
[
'rfiId' => '2425367',
'rfiValue' => '8401ee2d-0d34-4b28-bfc9-a68b794635f8'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Remittance
Submit compliance documents
POST
/
remittance
/
submitRfi
Submit compliance documents
